<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <base href="/">
  <link rel="stylesheet" href="http://localhost:3000/dist/form-renderer.all.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" referrerpolicy="no-referrer"></script>
  <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
  <script src="http://localhost:3000/dist/form-renderer.all.js"></script>
</head>
<body>
<div class="container">
  <form novalidate id="test-form">
    <form-renderer id="data"></form-renderer>

    <button type="submit" class="btn btn-primary">
      Submit
    </button>
  </form>
</div>

<script>
  const formData = document.getElementById('data');

  axios.get('http://api.bail.test/form').then(function (response) {
    formData.form = response.data;

    axios.get('http://api.bail.test/data').then(function (response) {
      if (!!response.data) {
        setTimeout(function() {
          formData.form.setValues(response.data.data).then(form => {
            console.log(form);
          })
        }, 50);
      }
    });
  });

  $('#test-form').on('submit', (e) => {
    e.preventDefault();

    formData.form.valid();
  });
</script>

</body>
</html>
